python-pymetar_0.19-1_all.deb


Advertisement

Description

python-pymetar - Python interface to METAR reports

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pymetar
Package version: 0.19
Package release: 1
Package architecture: all
Package type: deb
Installed size: 107 B
Download size: 22.35 KB
Official Mirror: archive.ubuntu.com
The pymetar Python interface provides full and easy to use access to the METAR reports available from the NOAA (National Oceanic and Atmospheric Administration, http://www.noaa.gov). METAR (METeorological Aviation Report) is the international standard code format for hourly surface weather observations. This package consists of the Python library itself and a command line tool for end users.

Alternatives

Provides

  • python2.7-pymetar

    Download

    Source package: python-pymetar

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pymetar deb package:
      # sudo apt-get install python-pymetar

    Files

    • /usr/bin/pymetar
    • /usr/lib/python2.7/dist-packages/pymetar-0.19.egg-info
    • /usr/lib/python2.7/dist-packages/pymetar.py
    • /usr/share/doc/python-pymetar/README
    • /usr/share/doc/python-pymetar/THANKS
    • /usr/share/doc/python-pymetar/changelog.Debian.gz
    • /usr/share/doc/python-pymetar/copyright
    • /usr/share/doc/python-pymetar/librarydoc.txt.gz
    • /usr/share/man/man1/pymetar.1.gz

    Changelog

    2012-04-11 - Uli Martens <uli@youam.net> python-pymetar (0.19-1) unstable; urgency=low * New upstream release. - Fixes a sky condition parsing bug found by Nils Gründl.

    2012-03-11 - Uli Martens <uli@youam.net> python-pymetar (0.18-1) unstable; urgency=low * New upstream release (Closes: 661377) - Do not use self.windspeedknots internally (LP: #712434) * Remove copyright entry for manpage, it's no longer the one written by me but one by upstream himself. * Bump Standards-Version to 3.9.3 from 3.8.3, no changes necessary. * Bump debhelper compat level from 7 to 8, no changes necessary. * Build with dh_python2 instead of deprecated python-support: - Upgrade debhelper and python-all dependencies to needed versions, drop python-support Build-Dependency. - Add python2 addon to dh calls. - Manually remove the build/ tree in the clean target.

    2010-01-12 - Uli Martens <uli@youam.net> python-pymetar (0.16-1) unstable; urgency=low * New upstream release - pymetar(1) man page is now included upstream - weather.py is now called pymetar in upstream, too. Workaround removed. - Example script bin/pymet was removed * Bump Standards-Version to 3.8.3 from 3.8.2, no changes necessary. * Packaging updates: - Edit setup.py reversibly in place instead of providing a derived version.

    2009-08-01 - Uli Martens <uli@youam.net> python-pymetar (0.15-1) unstable; urgency=low * New upstream release * Cosmetic source changes without actual differences in the package: - Bump Standards-Version to 3.8.2 from 3.8.0 - Update debhelper compat level from 4 to 7 - Add ${misc:Depends} to the Depends: * Bump the dependency on debhelper to the lenny version (7.0.15) * Rewrite debian/rules to use debhelper/lenny capabilities (i.e. bin/dh, but no override-foo) * Add METAR, NOAA descriptions to the package description. * Rewrite the man page: - Explain METAR, NOAA abbreviations - State that the name of the HTTP_PROXY environment variable name is case insensitive * This upload reviewed and sponsored by Sebastian Harl <tokkee@debian.org>. Thank you!

    2008-10-27 - Uli Martens <uli@youam.net> python-pymetar (0.14-2) unstable; urgency=low * Change build order for multiple python versions to build with the default python-version first. This prevents creating a versioned dependency on whichever python version was built first (Closes: 503615). * This upload and the 0.14-1 upload sponsored by Bernd Zeimetz <bzed@debian.org>. Thank you!

    2008-10-23 - Uli Martens <uli@youam.net> python-pymetar (0.14-1) unstable; urgency=low * New Upstream Release: - Add "NSC" Non Significant Cloud condition (Closes: 440153). Thanks, Nicolas Évrard <nicoe@no-log.org> for submitting the patch. * Relicence pymetar.1 to GPL-2 or later, same as pymetar itself. * Update debian/copyright to match upstream copyright changes. * Small updates to the control file: - Build-Depends-Indep on python-support as this is not needed for cleaning. - Change python-all-dev dependency into python-all, we don't need -dev. - Bump debhelper versioned dependency to a version python-support doesn't conflict against - Bump Standards-Version to 3.8.0, nothing to do for that. - Add Homepage field to the debian/control file. * Small updates to the rules file: - Split dh_installexamples arguments in external file. - Change setup.py argument from --prefix to --root, remove usr/ from path. * Thanks for NMUing while I was hibernating: - 0.12-2.1 #373343 Pierre Habouzit - 0.12-2.2 #391391 Jérémy Bobbio and Pierre Habouzit - 0.12-2.3 #394031 Luis Rodrigo Gallardo Cruz and Matthias Klose

    2006-11-01 - Matthias Klose <doko@debian.org> python-pymetar (0.12-2.3) unstable; urgency=low * Rebuild to drop python2.3 dependency.

    Advertisement
    Advertisement